Subject: [GIT PULL 5/5] minimal omap5 support for v3.6 merge window

From: [email-masked] (Tony Lindgren)
Date: Tue, 10 Jul 2012 23:04:39 -0700

* Arnd Bergmann <[email-masked]> [120710 08:57]:
> On Tuesday 10 July 2012, Tony Lindgren wrote:
> > * Tony Lindgren <[email-masked]> [120710 06:21]:
> > > The following changes since commit fb584511c4664573097ece7df0de06ad00b713a2:
> > > 
> > >   ARM: OMAP: sdrc: Fix the build break for OMAP4 only builds (2012-07-09 01:44:11 -0700)
> > > 
> > > are available in the git repository at:
> > > 
> > >   git://git.kernel.org/pub/scm/linux/kernel/git/tmlind/linux-omap devel-omap5
> > 
> > FYI, I got some merge conflicts with the am33xx and PM/smartreflex
> > changes, here's how I resolved them.
> > 
> 
> Pulled all five branches now.

OK thanks.
 
> I put the am33xx clk data into the next/clk branch, as that seemed convenient.
> The omap5 branch is in the next/newsoc branch, together with the new Marvell
> ArmadaXP port.

OK
 
> I'm not extremely happy with the multi-level dependencies, but it's still
> manageable at the moment, especially since I have a relatively large number
> of next/* branches.

Yes me neither, that causes a lot of extra work keeping thing working.

The clean-up we did caused quite a bit of these dependencies, but
was necessary for adding am33xx and omap5 in somewhat clean way to avoid
patching all over the place to add more soc_is_omapxxxx() calls. So this
amount of dependencies should be rare.

All the clean-up should really have been in the first clean-up branch, but
was not quite ready yet at that point. That would have simplified things
a lot.
 
> If others submit pull requests that create additional dependencies I might
> have to reject them if that gets too complex.

Yes sorry about that, I too was considering leaving some of these branches
for v3.7 to let the dependencies clear out.. Anyways thanks again for the
extra effort on your part too.

Regards,

Tony